Class | Bio::Hinv::HitCnt
In: | lib/bio/io/hinv.rb
Parent: | Object

serv = Bio::Hinv::HitCnt.new serv.query puts serv.result

### Methods

new result

### Included Modules

Common

### Public Class methods

new()

[Source]

         # File lib/bio/io/hinv.rb, line 157
    157:       def initialize
    158:         @url = BASE_URI + "hit_cnt.php"
    159:       end

### Public Instance methods

result()

<?xml version=‘1.0’ encoding=‘UTF-8’?> <H-Inv>

     <TRANSCRIPT_CNT>187156</TRANSCRIPT_CNT>

</H-Inv>

[Source]

         # File lib/bio/io/hinv.rb, line 165
    165:       def result
    166:         @xml.elements['//TRANSCRIPT_CNT'].text.to_i
    167:       end

[Validate]